## gkrellm 2.3.6~rc1

=== Makefile ===
# To make GKrellM for different systems, you can simply:
# For Linux:
#	make
# For FreeBSD 2.X:
#	make freebsd2
# For FreeBSD 3.X or later:
#	make freebsd
# For NetBSD 1.5 - 1.6.X
#	make netbsd1
# For NetBSD 2.X
#	make netbsd2
# For OpenBSD
#	make openbsd
# For Darwin < 9.0 / Mac OS X < 10.4
# 	make darwin
# For newer Darwin systems
# 	make darwin9
# For Mac OS X with Quartz-based Gtk+ (experimental)
# 	make macosx
# For Solaris 2.x (8 tested so far):
#	make solaris
# For libgtop if you have version 1.1.x installed:
#	make gtop
# For libgtop if you have version 1.0.x installed in /usr/include & /usr/lib,
# uncomment GTOP lines below:
#	make gtop1.0
# or, eg. if libgtop 1.0 is installed in /opt/gnome/include & /opt/gnome/lib
#	make gtop1.0 GTOP_PREFIX=/opt/gnome
#
# Then:
#	make install
# To override default install locations /usr/local/bin and /usr/local/include
# to, for example, /usr/bin and /usr/include:
#    make install INSTALLDIR=/usr/bin INCLUDEDIR=/usr/include
#
# ------------------------------------------------------------------
#  If you want to override the default behaviour for the above simple "make"
#  steps, then uncomment and edit the appropriate lines below.
#
# Default
#--------
BINMODE = 755

# FreeBSD 2.X
#------------
#SYS_LIBS = -lkvm
#EXTRAOBJS =
#BINMODE = 4111


# FreeBSD 3.X or later
#---------------------
#SYS_LIBS = -lkvm -ldevstat
#EXTRAOBJS =
#BINMODE = 4111

# NetBSD 1.5 - 1.6.X
#------------------
#SYS_LIBS=-lkvm
#EXTRAOBJS =
#MANDIR = $(INSTALLROOT)/man/man1

# NetBSD
#------------------
#SYS_LIBS=-lkvm -lpthread
#EXTRAOBJS =
#MANDIR = $(INSTALLROOT)/man/man1

# OpenBSD
#------------------
#SYS_LIBS=-lkvm -lpthread
#EXTRAOBJS =
#BINMODE=2755

# Solaris 2.x
#------------
#SYS_LIBS = -lkstat -lkvm -ldevinfo
#EXTRAOBJS = md5c.o
#BINMODE=2755
#LOCALEDIR = /usr/local/share/locale

# "make gtop1.0" defaults.  If you don't have gnome or libgtop 1.1.x
# installed, uncomment and edit these if necessary for a libgtop install.
# Or, see below about specifying them on the command line.  These are not
# used if you "make gnome-gtop" or "make gtop".
#-----------------------------------
#GTOP_PREFIX = /usr
#GTOP_INCLUDE = -I$(GTOP_PREFIX)/include
#GTOP_LIBS = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps -lXau
#GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
#export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D

VERSION = 2.3.6-RC1

INSTALLROOT ?= $(DESTDIR)$(PREFIX)

ifeq ($(INSTALLROOT),)
	INSTALLROOT = /usr/local
endif

INSTALLDIR = $(INSTALLROOT)/bin
SINSTALLDIR ?= $(INSTALLDIR)
MANDIR ?= $(INSTALLROOT)/share/man/man1
SMANDIR ?= $(MANDIR)
MANMODE = 644
MANDIRMODE = 755
INCLUDEDIR = $(INSTALLROOT)/include
INCLUDEMODE = 644
INCLUDEDIRMODE = 755
INSTALL ?= $(shell which install)
PKGCONFIGDIR ?= $(INSTALLROOT)/lib/pkgconfig
LOCALEDIR ?= $(INSTALLROOT)/share/locale

OS_RELEASE=$(shell uname -r)

export SYS_LIBS EXTRAOBJS BINMODE
export INSTALLDIR SINSTALLDIR INCLUDEDIR INCLUDEMODE INCLUDEDIRMODE LOCALEDIR
export MANDIR SMANDIR MANDIRMODE MANMODE
export OS_RELEASE

enable_nls=1
debug=0
export enable_nls
export debug

all gkrellm: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} gkrellm)
	(cd server && ${MAKE} gkrellmd)

# win32 needs a Libs: line and ${prefix} for paths so we install a different
# pkg-config file than what gets used on unix
# TODO: move to src/Makefile and install a gkrellmd.pc from server/Makefile
gkrellm.pc_win: Makefile
	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
	echo "Name: GKrellM" >> gkrellm.pc
	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
	echo "Version: $(VERSION)" >> gkrellm.pc
	echo "Requires: gtk+-2.0 >= 2.4.0" >> gkrellm.pc
	echo 'Cflags: -I$${prefix}/include' >> gkrellm.pc
	echo 'Libs: -L$${prefix}/lib -lgkrellm' >> gkrellm.pc

gkrellm.pc: Makefile
	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
	echo "Name: GKrellM" >> gkrellm.pc
	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
	echo "Version: $(VERSION)" >> gkrellm.pc
	echo "Requires: gtk+-2.0 >= 2.4.0" >> gkrellm.pc
	echo "Cflags: -I$(INCLUDEDIR)" >> gkrellm.pc

install: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install)
	(cd server && ${MAKE} install)

uninstall:
	(cd po && ${MAKE} uninstall)
	(cd src && ${MAKE} uninstall)
	(cd server && ${MAKE} uninstall)
	rm -f $(PKGCONFIGDIR)/gkrellm.pc

install_gkrellm.pc:
	$(INSTALL) -d $(PKGCONFIGDIR)
	$(INSTALL) -m $(INCLUDEMODE) -c gkrellm.pc $(PKGCONFIGDIR)

install_darwin install_darwin9 install_macosx: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install STRIP="")
	(cd server && ${MAKE} install STRIP="")

install_freebsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_freebsd)
	(cd server && ${MAKE} install_freebsd)

install_netbsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_netbsd)
	(cd server && ${MAKE} install_netbsd)

install_openbsd: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_openbsd)
	(cd server && ${MAKE} install_openbsd)

install_solaris: install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_solaris)
	(cd server && ${MAKE} install_solaris)

install_windows: windows install_gkrellm.pc
	(cd po && ${MAKE} install)
	(cd src && ${MAKE} install_windows)
	(cd server && ${MAKE} install_windows)

clean:
	(cd po && ${MAKE} clean)
	(cd src && ${MAKE} clean)
	(cd server && ${MAKE} clean)
	rm -f gkrellm.pc

freebsd2:	gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} freebsd2)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellmd )

freebsd3 freebsd4 freebsd5 freebsd: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} freebsd)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellmd )

darwin: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} darwin)
	(cd server && ${MAKE} darwin)

darwin9: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} darwin9)
	(cd server && ${MAKE} darwin9)

macosx: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} macosx)
	(cd server && ${MAKE} macosx)

netbsd1: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} netbsd1)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm" gkrellmd )

netbsd2: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} netbsd2)
	(cd server && ${MAKE} \
		EXTRAOBJS= SYS_LIBS="-lkvm -pthread" gkrellmd )

openbsd: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} \
		PTHREAD_INC=-I${PREFIX}/include EXTRAOBJS= \
		SYS_LIBS="-lkvm -pthread" gkrellm )
	(cd server && ${MAKE} \
		PTHREAD_INC=-I${PREFIX}/include EXTRAOBJS= \
		SYS_LIBS="-lkvm -pthread" gkrellmd )

solaris: gkrellm.pc
	(cd po && ${MAKE} MSGFMT_OPT="-v -o" \
		LOCALEDIR=/usr/local/share/locale all)
ifeq ($(OS_RELEASE),5.8)
	(cd src && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lresolv -lsocket -lX11 -lintl" \
		LINK_FLAGS="" gkrellm )
	(cd server && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int -DSOLARIS_8" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl -lintl" \
		LINK_FLAGS="" gkrellmd )
else
	(cd src && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lresolv -lsocket -lX11" LINK_FLAGS="" gkrellm )
	(cd server && ${MAKE} CC=gcc \
		CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl" LINK_FLAGS="" gkrellmd )
endif

gnome-gtop: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTOP_PREFIX="\`gnome-config --prefix libgtop\`" \
		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
		GTOP_LIBS="\`gnome-config --libs libgtop\`" \
		SYS_LIBS= gkrellm )
	(cd server && ${MAKE} GTOP_PREFIX="\`gnome-config --prefix libgtop\`" \
		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
		GTOP_LIBS_D="\`gnome-config --libs libgtop\`" \
		SYS_LIBS= gkrellmd )
 
gtop: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
		GTOP_LIBS="\`libgtop-config --libs\`" \
		SYS_LIBS="-lXau" gkrellm )
	(cd server && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
		GTOP_LIBS_D="\`libgtop-config --libs\`" \
		SYS_LIBS= gkrellmd )

gtop1.0: gkrellm.pc
	(cd po && ${MAKE} all)
	(cd src && ${MAKE} gkrellm )
	(cd server && ${MAKE} gkrellmd )

windows: gkrellm.pc_win
	(cd po && ${MAKE} LOCALEDIR="share/locale" all)
	(cd src && ${MAKE} LOCALEDIR="share/locale" windows )
	(cd server && ${MAKE} LOCALEDIR="share/locale" windows)

msgmerge:
	(cd po && ${MAKE} messages)
	(cd po && ${MAKE} merge)

=== server/Makefile ===
include ../common.mk

PACKAGE_D ?= gkrellmd

SINSTALLDIR ?= $(INSTALLROOT)/bin

CFGDIR ?= $(INSTALLROOT)/etc
CFGDIRMODE ?= 755
CFGMODE ?= 644

SMANDIR ?= $(INSTALLROOT)/share/man/man1

EXTRAOBJS =

ifeq ($(without-libsensors),yes)
	CONFIGURE_ARGS += --without-libsensors
endif
ifeq ($(without-libsensors),1)
	CONFIGURE_ARGS += --without-libsensors
endif

DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))

HAVE_LIBSENSORS = $(shell grep -c HAVE_LIBSENSORS configure.h)
ifeq ($(HAVE_LIBSENSORS),1)
    SENSORS_LIBS ?= -lsensors
endif

GKRELLMD_INCLUDES = gkrellmd.h $(SHARED_PATH)/log.h

PKG_INCLUDE = `$(PKG_CONFIG) --cflags glib-2.0 gmodule-2.0 gthread-2.0`
PKG_LIB = `$(PKG_CONFIG) --libs glib-2.0 gmodule-2.0 gthread-2.0`

FLAGS = -O2 $(PKG_INCLUDE)

FLAGS += $(GTOP_INCLUDE) $(PTHREAD_INC) -I.. -I$(SHARED_PATH) -DGKRELLM_SERVER

LIBS = $(PKG_LIB)
LIBS += $(GTOP_LIBS_D) $(SYS_LIBS) $(SENSORS_LIBS)

ifeq ($(debug),1)
    FLAGS += -g
endif
ifeq ($(debug),yes)
    FLAGS += -g
endif

ifeq ($(profile),1)
    FLAGS += -g -pg
endif
ifeq ($(profile),yes)
    FLAGS += -g -pg
endif

ifeq ($(enable_nls),1)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif
ifeq ($(enable_nls),yes)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif

ifneq ($(PACKAGE_D),gkrellmd)
    FLAGS += -DPACKAGE_D=\"$(PACKAGE_D)\"
endif

ifeq ($(HAVE_GETADDRINFO),1)
    FLAGS += -DHAVE_GETADDRINFO
endif

OS_RELEASE=$(shell uname -r)

OBJS = main.o monitor.o mail.o plugins.o utils.o sysdeps-unix.o log.o

all:	gkrellmd$(BINEXT)

gkrellmd$(BINEXT): check_env $(OBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(EXTRAOBJS) -o $@ \
		$(LDFLAGS) $(LIBS) $(LINK_FLAGS)

static: check_env $(OBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(EXTRAOBJS) -o gkrellmd.static -static \
		$(LDFLAGS) $(LIBS) $(LINK_FLAGS)

freebsd2:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellmd

freebsd3 freebsd:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellmd

# Darwin target for systems that still have libkvm
darwin: 
	$(MAKE) STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= \
		SYS_LIBS="-framework CoreFoundation -framework IOKit -lkvm" \
		LINK_FLAGS="-Wl,-bind_at_load" \
		gkrellmd

# Darwin 9.x and newer (OS X > 10.4) do not have libkvm, build without it
darwin9: 
	$(MAKE) STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= \
		SYS_LIBS="-framework CoreFoundation -framework IOKit" \
		LINK_FLAGS="-Wl,-bind_at_load" \
		gkrellmd

# Same as darwin9
macosx: darwin9

netbsd1:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" gkrellmd

netbsd2:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -pthread" gkrellmd

openbsd:
	$(MAKE) SYS_LIBS="-lkvm -pthread" gkrellmd

solaris:
ifeq ($(OS_RELEASE),5.8)
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl -lintl" \
		LINK_FLAGS="" gkrellmd
else
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo -lsocket -lnsl" \
		LINK_FLAGS="" gkrellmd
endif

windows: libgkrellmd.a
	$(MAKE) \
		BINEXT=".exe" \
		CFLAGS="${CFLAGS} -D_WIN32_WINNT=0x0501 -DWINVER=0x0501 -DWIN32_LEAN_AND_MEAN" \
		LINK_FLAGS="-mconsole -Wl,--dynamicbase -Wl,--nxcompat" \
		EXTRAOBJS="${EXTRAOBJS} win32-resource.o win32-plugin.o" \
		SYS_LIBS="-lws2_32 -lwtsapi32 -lpdh -lnetapi32 -liphlpapi -lintl" \
		all

install: install_bin install_inc install_man

install_bin:
	$(INSTALL) -d -m $(INSTALLDIRMODE) $(SINSTALLDIR)
	$(INSTALL) -c $(STRIP) -m $(BINMODE) $(PACKAGE_D)$(BINEXT) $(SINSTALLDIR)/$(PACKAGE_D)$(BINEXT)

install_inc:
	$(INSTALL) -d -m $(INCLUDEDIRMODE) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -c -m $(INCLUDEMODE) $(GKRELLMD_INCLUDES) $(INCLUDEDIR)/gkrellm2

install_man:
	$(INSTALL) -d -m $(MANDIRMODE) $(SMANDIR)
	$(INSTALL) -c -m $(MANMODE) ../gkrellmd.1 $(SMANDIR)/$(PACKAGE_D).1

install_cfg:
	$(INSTALL) -d -m $(CFGDIRMODE) $(CFGDIR)
	$(INSTALL) -c -m $(CFGMODE) gkrellmd.conf $(CFGDIR)/gkrellmd.conf

uninstall:
	rm -f $(SINSTALLDIR)/$(PACKAGE_D)
	rm -f $(SMANDIR)/$(PACKAGE_D).1

install_darwin install_darwin9 install_macosx:
	$(MAKE) install STRIP=

install_freebsd:
	$(MAKE) install
	chgrp kmem $(SINSTALLDIR)/$(PACKAGE_D)
	chmod g+s $(SINSTALLDIR)/$(PACKAGE_D)

install_netbsd:
	$(MAKE) SMANDIR="$(INSTALLROOT)/man/man1" install

install_openbsd:
	$(MAKE) install
	chgrp kmem $(SINSTALLDIR)/$(PACKAGE_D)
	chmod g+sx $(SINSTALLDIR)/$(PACKAGE_D)

install_solaris:
	$(MAKE) install INSTALL=/usr/ucb/install
	chgrp sys $(SINSTALLDIR)/$(PACKAGE_D)
	chmod g+s $(SINSTALLDIR)/$(PACKAGE_D)  

install_windows: install_inc install_cfg
	$(MAKE) BINEXT=".exe" install_bin
	$(INSTALL) -d -m $(LIBDIRMODE) $(LIBDIR)
	$(INSTALL) -c -m $(BINMODE) libgkrellmd.a $(LIBDIR)

clean:
	$(RM) *.o *~ *.bak configure.h configure.log gkrellmd gkrellmd.exe \
		libgkrellmd.a core

SYSDEPS = ../src/sysdeps/bsd-common.c ../src/sysdeps/bsd-net-open.c \
	../src/sysdeps/darwin.c \
	../src/sysdeps/freebsd.c ../src/sysdeps/gtop.c \
	../src/sysdeps/linux.c ../src/sysdeps/netbsd.c ../src/sysdeps/dragonfly.c \
	../src/sysdeps/openbsd.c ../src/sysdeps/sensors-common.c \
	../src/sysdeps/solaris.c ../src/sysdeps/win32.c 

GKRELLMD_H = gkrellmd.h gkrellmd-private.h

main.o:		main.c $(GKRELLMD_H)
monitor.o:	monitor.c $(GKRELLMD_H) 
mail.o:		mail.c $(GKRELLMD_H)
plugins.o:	plugins.c $(GKRELLMD_H) 
utils.o:	utils.c $(GKRELLMD_H)
sysdeps-unix.o: sysdeps-unix.c ../src/gkrellm-sysdeps.h $(SYSDEPS) $(GKRELLMD_H)
log.o: $(SHARED_PATH)/log.c $(SHARED_PATH)/log.h $(GKRELLMD_H)
win32-gui.o:	win32-gui.c
win32-plugin.o:	win32-plugin.c win32-plugin.h $(GKRELLMD_H)
win32-resource.o:	win32-resource.rc win32-resource.h
	$(WINDRES) $< -o $@
win32-libgkrellmd.o:	win32-libgkrellmd.c win32-plugin.h $(GKRELLMD_H)
libgkrellmd.a:	win32-libgkrellmd.o
	$(AR) -cr libgkrellmd.a win32-libgkrellmd.o

# Checks if the build environment is ok
check_env:
	$(PKG_CONFIG) --atleast-version=2.32 glib-2.0

=== src/Makefile ===
include ../common.mk

PACKAGE ?= gkrellm

INSTALLDIR ?= $(INSTALLROOT)/bin
MANDIR ?= $(INSTALLROOT)/share/man/man1

X11_LIBS ?= -L/usr/X11R6/lib -lX11 -lSM -lICE
MATH_LIB ?= -lm

ifeq ($(without-gnutls),1)
	CONFIGURE_ARGS += --without-gnutls
endif
ifeq ($(without-gnutls),yes)
	CONFIGURE_ARGS += --without-gnutls
endif
ifeq ($(without-ssl),1)
	CONFIGURE_ARGS += --without-ssl
endif
ifeq ($(without-ssl),yes)
	CONFIGURE_ARGS += --without-ssl
endif
ifeq ($(without-libsensors),yes)
	CONFIGURE_ARGS += --without-libsensors
endif
ifeq ($(without-libsensors),1)
	CONFIGURE_ARGS += --without-libsensors
endif
ifeq ($(without-ntlm),yes)
	CONFIGURE_ARGS += --without-ntlm
endif
ifeq ($(without-ntlm),1)
	CONFIGURE_ARGS += --without-ntlm
endif
# run configure shell script
DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))
# pull in variables set by configure script
include configure.mk

# Only use own md5-code if neither OpenSSL nor GnuTLS are present
ifneq ($(HAVE_SSL),1)
    EXTRAOBJS ?= md5c.o
endif

GKRELLM_INCLUDES = gkrellm.h gkrellm-public-proto.h $(SHARED_PATH)/log.h

PKG_INCLUDE = `$(PKG_CONFIG) --cflags gtk+-2.0 gmodule-2.0 gthread-2.0`
PKG_LIB = `$(PKG_CONFIG) --libs gtk+-2.0 gmodule-2.0 gthread-2.0`

FLAGS = -O2 -I.. -I$(SHARED_PATH) $(PKG_INCLUDE) $(GTOP_INCLUDE) $(PTHREAD_INC)\
 ${SSL_INCLUDE} ${NTLM_INCLUDE} -DGKRELLM_CLIENT

LIBS = $(PKG_LIB) $(GTOP_LIBS) $(X11_LIBS) $(SYS_LIBS) $(SSL_LIBS) $(SENSORS_LIBS)\
 $(NTLM_LIBS) $(MATH_LIB)

ifeq ($(debug),1)
    FLAGS += -g
endif
ifeq ($(debug),yes)
    FLAGS += -g
endif

ifeq ($(profile),1)
    FLAGS += -g -pg
endif
ifeq ($(profile),yes)
    FLAGS += -g -pg
endif

ifeq ($(enable_nls),1)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif
ifeq ($(enable_nls),yes)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
endif

ifneq ($(PACKAGE),gkrellm)
    FLAGS += -DPACKAGE=\"$(PACKAGE)\"
endif

ifeq ($(HAVE_GETADDRINFO),1)
    FLAGS += -DHAVE_GETADDRINFO
endif


OBJS =	main.o alerts.o battery.o base64.o clock.o cpu.o disk.o fs.o \
	hostname.o inet.o mail.o mem.o net.o proc.o sensors.o uptime.o \
	chart.o panel.o config.o gui.o krell.o plugins.o pixops.o \
	client.o utils.o sysdeps-unix.o deprecated.o log.o

UNIXOBJS = winops-x11.o

all:	gkrellm$(BINEXT)

gkrellm$(BINEXT): check_env $(OBJS) $(UNIXOBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(UNIXOBJS) $(EXTRAOBJS) -o $@ \
		$(LDFLAGS) $(LIBS) $(LINK_FLAGS)

static: check_env $(OBJS) $(UNIXOBJS) $(EXTRAOBJS)
	$(CC) $(OBJS) $(UNIXOBJS) $(EXTRAOBJS) -o gkrellm.static -static \
		$(LDFLAGS) $(LIBS) $(LINK_FLAGS)

freebsd2:
ifeq ($(HAVE_SSL),1)
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" gkrellm
else
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -lmd" gkrellm
endif

freebsd3 freebsd:
ifeq ($(HAVE_SSL),1)
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat" gkrellm
else
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -ldevstat -lmd" gkrellm
endif

# Darwin target for systems that still have libkvm
darwin: 
ifeq ($(HAVE_SSL),1)
	$(MAKE) STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= \
		SYS_LIBS="-framework CoreFoundation -framework IOKit -lkvm" \
		LINK_FLAGS="-Wl,-bind_at_load" \
		gkrellm
else
	$(MAKE) STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= \
		SYS_LIBS="-framework CoreFoundation -framework IOKit -lkvm -lmd5" \
		LINK_FLAGS="-Wl,-bind_at_load" \
		gkrellm
endif

# Mac OS X target with X11-based Gtk+
darwin9: 
	$(MAKE) STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS= \
		SYS_LIBS="-framework CoreFoundation -framework IOKit" \
		LINK_FLAGS="-Wl,-bind_at_load" \
		gkrellm

# Mac OS X target with Quartz-based Gtk+ (experimental)
macosx: 
	$(MAKE) STRIP= HAVE_GETADDRINFO=1 \
		EXTRAOBJS="winops-gtk-mac.o" \
		SYS_LIBS="-framework CoreFoundation -framework IOKit" \
		LINK_FLAGS="-Wl,-bind_at_load" \
		X11_LIBS="" \
		UNIXOBJS="" \
		gkrellm

netbsd1:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm" \
		X11_LIBS="-L/usr/X11R6/lib -lX11 -lSM -lICE -Wl,-R/usr/X11R6/lib" \
		gkrellm
netbsd2:
	$(MAKE) EXTRAOBJS= SYS_LIBS="-lkvm -pthread" \
		X11_LIBS="-L/usr/X11R6/lib -lX11 -lSM -lICE -R/usr/X11R6/lib" \
		gkrellm

openbsd:
	$(MAKE) GTOP_LIBS= SYS_LIBS="-lkvm -pthread" gkrellm

solaris:
	$(MAKE) CFLAGS="-Wno-implicit-int" \
		SYS_LIBS="-lkstat -lkvm -ldevinfo" gkrellm

windows: libgkrellm.a
	$(MAKE) \
		BINEXT=".exe" \
		CFLAGS="${CFLAGS} -D_WIN32_WINNT=0x0501 -DWINVER=0x0501 -DWIN32_LEAN_AND_MEAN" \
		LINK_FLAGS="-mwindows -Wl,--dynamicbase -Wl,--nxcompat" \
		EXTRAOBJS="${EXTRAOBJS} winops-win32.o win32-plugin.o win32-resource.o" \
		SYS_LIBS="-lws2_32 -lwtsapi32 -lpdh -lnetapi32 -liphlpapi -lintl" \
		X11_LIBS="" \
		UNIXOBJS="" \
		all

install: install_bin install_inc install_man

install_bin:
	$(INSTALL) -d -m $(INSTALLDIRMODE) $(INSTALLDIR)
	$(INSTALL) -c $(STRIP) -m $(BINMODE) $(PACKAGE)$(BINEXT) $(INSTALLDIR)/$(PACKAGE)$(BINEXT)

install_inc:
	$(INSTALL) -d -m $(INCLUDEDIRMODE) $(INCLUDEDIR)/gkrellm2
	$(INSTALL) -c -m $(INCLUDEMODE) $(GKRELLM_INCLUDES) $(INCLUDEDIR)/gkrellm2

install_man:
	$(INSTALL) -d -m $(MANDIRMODE) $(MANDIR)
	$(INSTALL) -c -m $(MANMODE) ../gkrellm.1 $(MANDIR)/$(PACKAGE).1

uninstall:
	$(RM) $(INSTALLDIR)/$(PACKAGE)
	$(RM) -r $(INCLUDEDIR)/gkrellm2
	$(RM) $(MANDIR)/$(PACKAGE).1
	$(RM) $(LIBDIR)/libgkrellm.a

install_darwin install_darwin9 install_macosx:
	$(MAKE) install STRIP=

install_freebsd:
	$(MAKE) install
	chgrp kmem $(INSTALLDIR)/$(PACKAGE)
	chmod g+s $(INSTALLDIR)/$(PACKAGE)

install_netbsd:
	$(MAKE) MANDIR="$(INSTALLROOT)/man/man1" install

install_openbsd:
	$(MAKE) install
	chgrp kmem $(INSTALLDIR)/$(PACKAGE)
	chmod g+sx $(INSTALLDIR)/$(PACKAGE)

install_solaris:
	$(MAKE) install INSTALL=/usr/ucb/install
	chgrp sys $(INSTALLDIR)/$(PACKAGE)
	chmod g+s $(INSTALLDIR)/$(PACKAGE)  

install_windows: windows
	$(MAKE) BINEXT=".exe" install_bin install_inc
	$(INSTALL) -d -m $(LIBDIRMODE) $(LIBDIR)
	$(INSTALL) -c -m $(BINMODE) libgkrellm.a $(LIBDIR)

clean:
	$(RM) *.o *~ *.bak configure.h configure.mk configure.log gkrellm gkrellm.exe \
		libgkrellm.a sysdeps/*.o core

IMAGES = \
	../pixmaps/frame_top.xpm \
	../pixmaps/frame_bottom.xpm \
	../pixmaps/frame_left.xpm \
	../pixmaps/frame_right.xpm \
	\
	../pixmaps/button_panel_out.xpm \
	../pixmaps/button_panel_in.xpm \
	../pixmaps/button_meter_out.xpm \
	../pixmaps/button_meter_in.xpm \
	\
	../pixmaps/bg_chart.xpm \
	../pixmaps/bg_grid.xpm  \
	../pixmaps/bg_panel.xpm \
	../pixmaps/bg_meter.xpm \
	\
	../pixmaps/data_in.xpm \
	../pixmaps/data_in_grid.xpm \
	../pixmaps/data_out.xpm \
	../pixmaps/data_out_grid.xpm \
	\
	../pixmaps/net/decal_net_leds.xpm \
	../pixmaps/decal_misc.xpm \
	../pixmaps/decal_alarm.xpm \
	../pixmaps/decal_warn.xpm \
	\
	../pixmaps/krell_panel.xpm \
	../pixmaps/krell_meter.xpm \
	../pixmaps/krell_slider.xpm \
	../pixmaps/krell_mini.xpm \
	../pixmaps/fs/bg_panel.xpm \
	../pixmaps/host/bg_panel.xpm \
	../pixmaps/mail/decal_mail.xpm \
	../pixmaps/mail/krell_mail.xpm \
	../pixmaps/mail/krell_mail_daemon.xpm \
	../pixmaps/timer/bg_panel.xpm \
	../pixmaps/timer/bg_timer.xpm \
	../pixmaps/timer/decal_timer_button.xpm \
	../pixmaps/uptime/bg_panel.xpm \
	\
	../pixmaps/gkrellmms/bg_panel.xpm \
	../pixmaps/gkrellmms/spacer_top.xpm \
	../pixmaps/gkrellmms/spacer_bottom.xpm \
	../pixmaps/gkrellmms/bg_scroll.xpm \
	../pixmaps/pmu/bg_panel.xpm \
	../pixmaps/pmu/spacer_top.xpm \
	../pixmaps/pmu/spacer_bottom.xpm \
	../pixmaps/volume/bg_panel.xpm \
	../pixmaps/volume/spacer_top.xpm \
	../pixmaps/volume/spacer_bottom.xpm \
	../pixmaps/bg_separator.xpm

SYSDEPS_SRC = sysdeps/bsd-common.c sysdeps/bsd-net-open.c sysdeps/freebsd.c \
	sysdeps/gtop.c sysdeps/linux.c sysdeps/netbsd.c sysdeps/openbsd.c \
	sysdeps/solaris.c sysdeps/darwin.c sysdeps/sensors-common.c \
	sysdeps/dragonfly.c sysdeps/win32.c sysdeps/win32-sensors.c

GKRELLM_H = gkrellm.h gkrellm-private.h
GKRELLM_H_SYS = gkrellm.h gkrellm-public-proto.h gkrellm-private.h \
	gkrellm-sysdeps.h

main.o:      main.c $(GKRELLM_H)
alerts.o:    alerts.c $(GKRELLM_H)
battery.o:   battery.c $(GKRELLM_H_SYS)
base64.o:    base64.c
clock.o:     clock.c  $(GKRELLM_H_SYS)
cpu.o:	     cpu.c  $(GKRELLM_H_SYS)
disk.o:      disk.c $(GKRELLM_H_SYS)
fs.o:        fs.c $(GKRELLM_H_SYS)
hostname.o:  hostname.c $(GKRELLM_H_SYS)
inet.o:      inet.c $(GKRELLM_H_SYS)
mail.o:      mail.c md5.h $(GKRELLM_H_SYS)
md5c.o:      md5.h
mem.o:       mem.c  $(GKRELLM_H_SYS)
net.o:	     net.c  $(GKRELLM_H_SYS)
proc.o:      proc.c  $(GKRELLM_H_SYS)
sensors.o:   sensors.c $(GKRELLM_H_SYS) ../pixmaps/sensors/bg_volt.xpm
uptime.o:    uptime.c $(GKRELLM_H_SYS)
chart.o:     chart.c  $(GKRELLM_H)
panel.o:     panel.c  $(GKRELLM_H)
config.o:    config.c  $(GKRELLM_H) $(IMAGES)
krell.o:     krell.c  $(GKRELLM_H)
gui.o:       gui.c  $(GKRELLM_H)
plugins.o:   plugins.c $(GKRELLM_H)
pixops.o:    pixops.c $(GKRELLM_H)
client.o:    client.c $(GKRELLM_H)
utils.o:     utils.c $(GKRELLM_H)
sysdeps-unix.o: sysdeps-unix.c $(GKRELLM_H_SYS) $(SYSDEPS_SRC)
log.o: $(SHARED_PATH)/log.c $(SHARED_PATH)/log.h $(GKRELLM_H)
deprecated.o: deprecated.c $(GKRELLM_H)

winops-x11.o: winops-x11.c $(GKRELLM_H)
winops-gtk-mac.o: winops-gtk-mac.c $(GKRELLM_H)
winops-win32.o: winops-win32.c $(GKRELLM_H)

win32-plugin.o: win32-plugin.c win32-plugin.h
win32-libgkrellm.o: win32-libgkrellm.c win32-plugin.h
win32-resource.o: win32-resource.rc win32-resource.h
	$(WINDRES) $< -o $@

libgkrellm.a: win32-libgkrellm.o
	$(AR) -cr libgkrellm.a win32-libgkrellm.o

# Checks if the build environment is ok
check_env:
	$(PKG_CONFIG) --atleast-version=2.32 glib-2.0
	$(PKG_CONFIG) --atleast-version=2.4 gtk+-2.0

=== debian/changelog ===
gkrellm (2.3.6~rc1-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:10 +0000

gkrellm (2.3.6~rc1-1) unstable; urgency=medium

  * [6f3f541] New upstream release candidate; Closes: #764023, #497635, #630117, #734176
  * [bf88eeb] update watch file
  * [c2936c9] remove 06_bts646262_add_format_string_to_syslog_call.patch, merged upstream
  * [c3a06ca] 11_Only-use-Libgcrypt-for-GnuTLS-2.12.patch, merged upstream
  * [070d49f] remove 12_Do-not-include-gcrypt.h-for-newer-GnuTLS-versions.patch, merged upstream
  * [e8b3f85] convert d/copyright to DEP-5
  * [c6076a7] extend upstream and packaging copyright years
  * [32688d7] bump Standards-Version to 3.9.6 (no changes needed)
  * [c69c948] update other copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Oct 2014 14:34:01 +0000

gkrellm (2.3.5-6) unstable; urgency=low

  [ Andreas Metzler ]
  * Pull 11_Only-use-Libgcrypt-for-GnuTLS-2.12.patch and
    12_Do-not-include-gcrypt.h-for-newer-GnuTLS-versions.patch from upstream
    GIT to stop unnecessary linkage against libgcrypt. Closes: #638646
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS; Closes: #731604

  [ Sandro Tosi ]
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Apr 2014 19:05:07 +0200

=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Standards-Version: 3.9.6
Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-openssl-dev, libntlm0-dev, libsensors4-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git
Homepage: http://gkrellm.net/

Package: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: gkrellm-common
Breaks: gkrellm-common (<= 2.2.7-5), gkrellmd (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Breaks: gkrellm-common (<= 2.2.7-5), gkrellm (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit -u"defaults 21"

override_dh_auto_build:
	$(MAKE) PREFIX=/usr without-ssl=1

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/tmp PREFIX=/usr

override_dh_clean:
	dh_clean
	rm -f gkrellm.ico

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
  http://gkrellm.srcbox.net/ gkrellm-(.*)\.tar.bz2

## gkrellm 2.3.7

=== debian/changelog ===
gkrellm (2.3.7-1) unstable; urgency=medium

  * [aa65a36] update d/watch
  * [467d32f] Imported Upstream version 2.3.7; Closes: #833463
  * [ab5882d] bump Standards-Version to 3.9.8 (no changes needed)
  * [5c9203a] extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Aug 2016 20:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-openssl-dev, libntlm0-dev, libsensors4-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git

## gkrellm 2.3.10

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 #GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
 #export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D
 
-VERSION = 2.3.6-RC1
+VERSION = 2.3.10
 
 INSTALLROOT ?= $(DESTDIR)$(PREFIX)
 
@@ -123,30 +123,21 @@
 export enable_nls
 export debug
 
+GKRELLM_PC_EXTRA=
+
 all gkrellm: gkrellm.pc
 	(cd po && ${MAKE} all)
 	(cd src && ${MAKE} gkrellm)
 	(cd server && ${MAKE} gkrellmd)
 
-# win32 needs a Libs: line and ${prefix} for paths so we install a different
-# pkg-config file than what gets used on unix
-# TODO: move to src/Makefile and install a gkrellmd.pc from server/Makefile
-gkrellm.pc_win: Makefile
-	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
-	echo "Name: GKrellM" >> gkrellm.pc
-	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
-	echo "Version: $(VERSION)" >> gkrellm.pc
-	echo "Requires: gtk+-2.0 >= 2.4.0" >> gkrellm.pc
-	echo 'Cflags: -I$${prefix}/include' >> gkrellm.pc
-	echo 'Libs: -L$${prefix}/lib -lgkrellm' >> gkrellm.pc
-
 gkrellm.pc: Makefile
-	echo "prefix=$(INSTALLROOT)" > gkrellm.pc
-	echo "Name: GKrellM" >> gkrellm.pc
-	echo "Description: Extensible GTK system monitoring application" >> gkrellm.pc
-	echo "Version: $(VERSION)" >> gkrellm.pc
-	echo "Requires: gtk+-2.0 >= 2.4.0" >> gkrellm.pc
-	echo "Cflags: -I$(INCLUDEDIR)" >> gkrellm.pc
+	echo 'prefix=$(INSTALLROOT)' > gkrellm.pc
+	echo 'Name: GKrellM' >> gkrellm.pc
+	echo 'Description: Extensible GTK system monitoring application' >> gkrellm.pc
+	echo 'Version: $(VERSION)' >> gkrellm.pc
+	echo 'Requires: gtk+-2.0 >= 2.4.0' >> gkrellm.pc
+	echo 'Cflags: -I$(INCLUDEDIR)' >> gkrellm.pc
+	echo '$(GKRELLM_PC_EXTRA)' >> gkrellm.pc
 
 install: install_gkrellm.pc
 	(cd po && ${MAKE} install)
@@ -159,7 +150,7 @@
 	(cd server && ${MAKE} uninstall)
 	rm -f $(PKGCONFIGDIR)/gkrellm.pc
 
-install_gkrellm.pc:
+install_gkrellm.pc: gkrellm.pc
 	$(INSTALL) -d $(PKGCONFIGDIR)
 	$(INSTALL) -m $(INCLUDEMODE) -c gkrellm.pc $(PKGCONFIGDIR)
 
@@ -278,7 +269,7 @@
 		GTOP_INCLUDE="\`gnome-config --cflags libgtop\`" \
 		GTOP_LIBS_D="\`gnome-config --libs libgtop\`" \
 		SYS_LIBS= gkrellmd )
- 
+
 gtop: gkrellm.pc
 	(cd po && ${MAKE} all)
 	(cd src && ${MAKE} GTOP_INCLUDE="\`libgtop-config --cflags\`" \
@@ -293,7 +284,8 @@
 	(cd src && ${MAKE} gkrellm )
 	(cd server && ${MAKE} gkrellmd )
 
-windows: gkrellm.pc_win
+windows: GKRELLM_PC_EXTRA:=Libs: -L$${prefix}/lib -Wl,-Bstatic,-lgkrellm,-Bdynamic
+windows: gkrellm.pc
 	(cd po && ${MAKE} LOCALEDIR="share/locale" all)
 	(cd src && ${MAKE} LOCALEDIR="share/locale" windows )
 	(cd server && ${MAKE} LOCALEDIR="share/locale" windows)

=== debian/changelog ===
gkrellm (2.3.10-2build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:50:33 +0000

gkrellm (2.3.10-2build1) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 18:29:02 -0500

gkrellm (2.3.10-2) unstable; urgency=medium

  * debian/control
    - point Vcs fields to salsa
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/rules
    - fix FTCBFS: Let dh_auto_build pass cross compilers to make; patch by
      Helmut Grohne; Closes: #876110
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 19:16:12 -0400

gkrellm (2.3.10-1) unstable; urgency=medium

  * [c820afb] New upstream version 2.3.10

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 12:46:49 -0500

gkrellm (2.3.8-1) unstable; urgency=medium

  * [446a39b] Imported Upstream version 2.3.8; Closes: #812185, #834773
  * [1d8272f] use HTTPS in Vcs-* fields

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Sep 2016 07:18:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-openssl-dev, libntlm0-dev, libsensors4-dev
-Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git
+Vcs-Git: https://salsa.debian.org/debian/gkrellm.git
+Vcs-Browser: https://salsa.debian.org/debian/gkrellm
 Homepage: http://gkrellm.net/
 
 Package: gkrellm

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_installinit -u"defaults 21"
 
 override_dh_auto_build:
-	$(MAKE) PREFIX=/usr without-ssl=1
+	dh_auto_build -- PREFIX=/usr without-ssl=1
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp PREFIX=/usr

## gkrellm 2.3.11

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 #GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
 #export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D
 
-VERSION = 2.3.10
+VERSION = 2.3.11
 
 INSTALLROOT ?= $(DESTDIR)$(PREFIX)

=== po/Makefile ===
# Makefile for locale directory

PACKAGE ?= gkrellm
CWD = po
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
MSGFMT_OPT ?= -f -v -o

ifeq ($(enable_nls),yes)
do_nls:=1
endif
ifeq ($(enable_nls),1)
do_nls:=1
endif

ifeq ($(do_nls),1)
all: mo-files

mo-files: $(FILES_MO)


messages:
	xgettext -k_ -kN_ ../src/*.c ../src/sysdeps/*.c -o gkrellm.pot

merge:
	for f in $(FILES_PO) ; do \
		msgmerge --no-fuzzy-matching $$f gkrellm.pot > $$f.new; \
		mv $$f.new $$f; done

install: 
	$(MAKE) all
	for f in $(FILES_MO) ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

uninstall:
	for f in $(FILES_MO) ; do \
		rm -f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) $(MSGFMT_OPT) $@ $<

else

all:

messages:

merge:

install:

uninstall:

endif


clean:
	$(RM) $(FILES_MO)

.PHONY: update install uninstall

=== src/Makefile ===
--- 
+++ 
@@ -39,13 +39,13 @@
 
 # Only use own md5-code if neither OpenSSL nor GnuTLS are present
 ifneq ($(HAVE_SSL),1)
-    EXTRAOBJS ?= md5c.o
+    EXTRAOBJS += md5c.o
 endif
 
 GKRELLM_INCLUDES = gkrellm.h gkrellm-public-proto.h $(SHARED_PATH)/log.h
 
-PKG_INCLUDE = `$(PKG_CONFIG) --cflags gtk+-2.0 gmodule-2.0 gthread-2.0`
-PKG_LIB = `$(PKG_CONFIG) --libs gtk+-2.0 gmodule-2.0 gthread-2.0`
+PKG_INCLUDE := $(shell $(PKG_CONFIG) --cflags gtk+-2.0 gmodule-2.0 gthread-2.0)
+PKG_LIB := $(shell $(PKG_CONFIG) --libs gtk+-2.0 gmodule-2.0 gthread-2.0)
 
 FLAGS = -O2 -I.. -I$(SHARED_PATH) $(PKG_INCLUDE) $(GTOP_INCLUDE) $(PTHREAD_INC)\
  ${SSL_INCLUDE} ${NTLM_INCLUDE} -DGKRELLM_CLIENT

=== debian/changelog ===
gkrellm (2.3.11-2) unstable; urgency=medium

  * debian/patches
    - refresh patches
  * debian/patches/a6af4e3af210a3d69c50bdc145eb95c029fc21ab.patch
    - include inet.h; Closes: #958431

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Feb 2021 01:13:25 -0500

gkrellm (2.3.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 2.2.9-1, 2.2.7-5, 2.2.7-4.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - replace b-d on libsensors4-dev with libsensors-dev; Closes: #917437
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/rules
    - set hardening flags
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jan 2021 01:05:17 -0500

=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
               gettext,
               libglib2.0-dev,
               libgnutls-openssl-dev,
               libgtk2.0-dev,
               libntlm0-dev,
               libsensors-dev,
               libsm-dev,
               x11proto-core-dev,
Vcs-Git: https://salsa.debian.org/debian/gkrellm.git
Vcs-Browser: https://salsa.debian.org/debian/gkrellm
Homepage: http://gkrellm.net/

Package: gkrellm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: gkrellm-common,
Breaks: gkrellm-common (<= 2.2.7-5),
        gkrellmd (<= 2.2.7-8),
Replaces: gkrellm-common (<= 2.2.7-5),
Description: GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gkrellm (<= 2.2.7-8),
        gkrellm-common (<= 2.2.7-5),
Replaces: gkrellm-common (<= 2.2.7-5),
Description: GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
  http://gkrellm.srcbox.net/ releases/gkrellm-(.*)\.tar.bz2

## gkrellm 2.4.0

=== debian/changelog ===
gkrellm (2.4.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - update Homeapge field; Closes: #1052060
  * debian/patches/a6af4e3af210a3d69c50bdc145eb95c029fc21ab.patch
    - remove patch, merged upstream
  * debian/patches/10_fix_glib_underlinkage.patch
    - refresh patch
  * debian/patches/04_fix_manpage_hyphen.patch, debian/patches/05_bts437033_fix_strip.patch
    - drop, no longer needed
  * debian/rules
    - set -std=gnu17 to prevent a FTBFS with gcc-15; Closes: #1096713
  * debian/*.install
    - refresh install files; Closes: #1039210

  [ Pino Toscano ]
  * Drop menu file, since gkrellm already provides a .desktop file.

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Nov 2025 02:18:50 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                x11proto-core-dev,
 Vcs-Git: https://salsa.debian.org/debian/gkrellm.git
 Vcs-Browser: https://salsa.debian.org/debian/gkrellm
-Homepage: http://gkrellm.net/
+Homepage: http://gkrellm.srcbox.net/
 
 Package: gkrellm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/dpkg/buildflags.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 %:
 	dh $@

## gkrellm snmp-1.1

=== Makefile ===
# Makefile for a GKrellM SNMP monitor plugin

# Linux
GTK_CONFIG ?= pkg-config gtk+-2.0
SNMPLIB = -lnetsnmp
SYSLIB ?= $(SNMPLIB)
# older systems need lib crypto if libsnmp has privacy support.
# SYSLIB += -L/usr/local/ssl/lib -L/usr/ssl/lib -lcrypto

USER_PLUGIN_DIR ?= $(HOME)/.gkrellm2/plugins
PLUGIN_DIR ?= /usr/lib/gkrellm2/plugins
GKRELLM_INCLUDE ?= -I/usr/X11R6/include

GTK_INCLUDE = `$(GTK_CONFIG) --cflags`
GTK_LIB = `$(GTK_CONFIG) --libs`

CFLAGS += -Wall -fPIC $(GTK_INCLUDE) $(GKRELLM_INCLUDE)
LIBS = $(GTK_LIB) $(SYSLIB)
LFLAGS ?= -shared

INSTALL ?= install -c
STRIP ?= strip -x

OBJS = gkrellm_snmp.o

all:	gkrellm_snmp.so

osx:
	make LFLAGS="-bundle -undefined suppress -flat_namespace"

freebsd:
	make GTK_CONFIG=gtk12-config SYSLIB=-lsnmp PLUGIN_DIR=/usr/X11R6/libexec/gkrellm/plugins

ucdsnmp:
	make CFLAGS="-DUCDSNMP" SNMPLIB="-lsnmp"

gkrellm_snmp.so:	$(OBJS)
	$(CC) $(OBJS) -o gkrellm_snmp.so $(LFLAGS) $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~

install-user:	gkrellm_snmp.so
	make PLUGIN_DIR=$(USER_PLUGIN_DIR) install

install:	gkrellm_snmp.so
	$(INSTALL) -m 755 -d $(DESTDIR)$(PLUGIN_DIR)
	$(INSTALL) -m 755 gkrellm_snmp.so $(DESTDIR)$(PLUGIN_DIR)
	$(STRIP) $(DESTDIR)$(PLUGIN_DIR)/gkrellm_snmp.so

gkrellm_snmp.o:	gkrellm_snmp.c
